rpmsq.h File Reference
I/O » RPM IO API.

Signal Queue API (obsolete, do not use) More...

`#include <rpm/rpmsw.h>`
`#include <signal.h>`
Include dependency graph for rpmsq.h:

Go to the source code of this file.

## Macros

#define | RPMSQ_DFL ((rpmsqAction_t)0)
| SIG_DFL, SIG_IGN and SIG_ERR counterparts. More...
#define | RPMSQ_IGN ((rpmsqAction_t)1)
#define | RPMSQ_ERR ((rpmsqAction_t)-1)

## Typedefs

typedef void(* | rpmsqAction_t) (int signum, siginfo_t *info, void *context)

## Functions

RPM_GNUC_DEPRECATED int | rpmsqIsCaught (int signum)
RPM_GNUC_DEPRECATED int | rpmsqActivate (int state)
| Activate (or disable) the signal queue. More...
RPM_GNUC_DEPRECATED rpmsqAction_t | rpmsqSetAction (int signum, rpmsqAction_t handler)
int | rpmsqBlock (int op)
| Block or unblock (almost) all signals. More...
RPM_GNUC_DEPRECATED int | rpmsqPoll (void)
RPM_GNUC_DEPRECATED void | rpmsqSetInterruptSafety (int on)

## Detailed Description

Signal Queue API (obsolete, do not use)

Definition in file rpmsq.h.

## Macro Definition Documentation

## RPMSQ_ERR

#define RPMSQ_ERR ((rpmsqAction_t)-1)

Definition at line 31 of file rpmsq.h.

## RPMSQ_IGN

#define RPMSQ_IGN ((rpmsqAction_t)1)

Definition at line 30 of file rpmsq.h.